# Contributing to KTweet
To make contributing to this project as easy as possible, whether it's:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features

## Develop with GitHub
GitHub is used to host code, to track issues and feature requests, as well as accept pull requests.

## [GitHub Flow](https://docs.github.com/en/get-started/quickstart/github-flow) Is Used, So All Code Changes Happen Through Pull Requests
Pull requests are the best way to propose changes to the codebase ([Github Flow](https://docs.github.com/en/get-started/quickstart/github-flow)). Pull reqeusts are actively welcomed:

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints.
6. Issue that pull request!

## Any contributions you make will be under the Apache-2.0 License
In short, when you submit code changes, your submissions are understood to be under the same [Apache-2.0 License](https://github.com/ChromasIV/KTweet/blob/master/LICENSE.txt) that covers the project. Feel free to contact the maintainers if that's a concern.

## Report bugs using GitHub's [issues](https://github.com/ChromasIV/KTweet/issues)
GitHub issues is used to track public bugs. Report a bug by [opening a new issue](https://github.com/ChromasIV/KTweet/issues/new); it's that easy!

## Write bug reports with detail, background, and sample code
**Great Bug Reports** tend to have:

- A quick summary and/or background
- Steps to reproduce
  - Be specific!
  - Give sample code if you can.
- What you expected would happen
- What actually happens
- Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)

## Use a Consistent Coding Style
Two most popular IDEs for Kotlin - (IntelliJ IDEA)[https://www.jetbrains.com/idea/] and (Android Studio)[https://developer.android.com/studio] provide powerful support for code styling

You can configure them to automatically format your code in consistence with the given code style.
[Koltin Coding Conventions](https://kotlinlang.org/docs/coding-conventions.html)

## License
By contributing, you agree that your contributions will be licensed under its Apache-2.0 License.
